Skip to content

Create social post

POST
/api/v1/content/social-posts
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/content/social-posts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "calendar_entry_id": "example", "content": "example", "hashtags": [ "example" ], "platform": "example", "scheduled_for": "2026-04-15T12:00:00Z" }'

Create a new social media post.

Media typeapplication/json
SocialPostCreate

Request body for creating a social post.

object
calendar_entry_id
Any of:
string
content
required
Content
string
>= 1 characters
hashtags
Hashtags
Array<string>
platform
required
Platform
string
>= 1 characters <= 50 characters
scheduled_for
Any of:
string format: date-time
Examplegenerated
{
"calendar_entry_id": "example",
"content": "example",
"hashtags": [
"example"
],
"platform": "example",
"scheduled_for": "2026-04-15T12:00:00Z"
}

Successful Response

Media typeapplication/json
SocialPostResponse

Response body for a single social post.

object
calendar_entry_id
Any of:
string
character_count
Character Count
integer
0
content
required
Content
string
created_at
required
Created At
string format: date-time
formatted_content
Any of:
string
hashtags
Hashtags
Array
id
required
Id
string
media_urls
Media Urls
Array
performance_metrics
Performance Metrics
object
key
additional properties
any
platform
required
Platform
string
platform_post_id
Any of:
string
published_at
Any of:
string format: date-time
scheduled_for
Any of:
string format: date-time
status
required
Status
string
tenant_id
required
Tenant Id
string
updated_at
required
Updated At
string format: date-time
Example
{
"character_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}